# Class RefactoringStatusContext

java.lang.Object
org.eclipse.ltk.core.refactoring.RefactoringStatusContext

Direct Known Subclasses:
  `FileStatusContext`

public abstract class RefactoringStatusContext extends Object
A `RefactoringStatusContext` can be used to annotate a `RefactoringStatusEntry` with additional information typically presented in the user interface.

To present a context in the user interface a corresponding context viewer can be registered via the extension point `org.eclipse.ltk.ui.refactoring.statusContextViewers`.

This class may be subclassed by clients.

Since:
  3.0

## Constructor Summary

Constructors
Constructor
Description
`RefactoringStatusContext()`

## Method Summary

Modifier and Type
Method
Description
`abstract Object`
`getCorrespondingElement()`
Returns the element that corresponds directly to this context, or `null` if there is no corresponding element.
`String`
`toString()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### RefactoringStatusContext

public RefactoringStatusContext()

## Method Details

### getCorrespondingElement

public abstract Object getCorrespondingElement()
Returns the element that corresponds directly to this context, or `null` if there is no corresponding element.

For example, the corresponding element of a context for a problem detected in an `IResource` would be the resource itself.

Returns:
  the corresponding element

### toString

public String toString()

Overrides:
  `toString` in class `Object`